【活用ガイド】

JVNDB-2015-001886

OpenSSL の t1_lib.c の sigalgs 実装におけるサービス運用妨害 (DoS) の脆弱性

概要

OpenSSL の t1_lib.c の sigalgs 実装には、サービス運用妨害 (NULL ポインタデリファレンスおよびデーモンクラッシュ) 状態にされる脆弱性が存在します。

補足情報 : CWE による脆弱性タイプは、CWE-476: NULL Pointer Dereference (NULL ポインタデリファレンス) と識別されています。
http://cwe.mitre.org/data/definitions/476.html
CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的

影響を受けるシステム


OpenSSL Project
  • OpenSSL 1.0.2 以上 1.0.2a 未満
オラクル
  • Oracle Enterprise Manager Ops Center 12.1.4 未満
  • Oracle Enterprise Manager Ops Center 12.2.0
  • Oracle Enterprise Manager Ops Center 12.2.1
  • Oracle Enterprise Manager Ops Center 12.3.0
  • Oracle Fusion Middleware の Oracle Exalogic Infrastructure 2.0.6.2
  • Oracle Fusion Middleware の Oracle Business Intelligence Enterprise Edition 11.1.1.7
  • Oracle Fusion Middleware の Oracle Business Intelligence Enterprise Edition 11.1.1.9
  • Oracle Fusion Middleware の Oracle Endeca Server 7.3.0.0
  • Oracle Fusion Middleware の Oracle Endeca Server 7.4.0.0
  • Oracle Fusion Middleware の Oracle Endeca Server 7.5.1.1
  • Oracle Fusion Middleware の Oracle Endeca Server 7.6.1.0.0
日本電気
  • CSVIEW /Webアンケート
  • EnterpriseIdentityManager Ver2.0 から 8.0
  • SystemDirector Enterprise for Java (全モデル) V5.1 から V7.2
  • WebOTX Enterprise Edition V4.2 から V6.5
  • WebOTX Standard Edition V4.2 から V6.5
  • WebOTX Standard-J Edition V4.1 から V6.5
  • WebOTX UDDI Registry V1.1 から V7.1
  • WebOTX Web Edition V4.1 から V6.5
  • WebOTX Application Server Enterprise Edition V7.1
  • WebOTX Application Server Enterprise V8.2 から V9.2
  • WebOTX Application Server Express V8.2 から V9.2
  • WebOTX Application Server Foundation V8.2 から V8.5
  • WebOTX Application Server Standard Edition V7.1
  • WebOTX Application Server Standard V8.2 から V9.2
  • WebOTX Application Server Standard-J Edition V7.1 から V8.1
  • WebOTX Application Server Web Edition V7.1 から V8.1
  • WebOTX Enterprise Service Bus V6.4 から V9.2
  • WebOTX Portal V8.2 から V9.1
  • WebOTX SIP Application Server Standard Edition V7.1 から V8.1
  • WebSAM Application Navigator V3.1.0.x から V4.1.0.x
  • WebSAM JobCenter R14.1
  • Express5800 /SG シリーズ InterSecVM/SG v1.2,v3.0,v3.1,v4.0
  • Express5800 /SG シリーズ SG3600LM/LG/LJ v6.1,v6.2,v7.0,v7.1,v8.0
  • Express5800 /SG シリーズ UNIVERGE SG3000LG/LJ
  • iStorage HSシリーズ 全バージョン
  • iStorage NV7400/NV5400/NV3400シリーズ
  • iStorage NV7500/NV5500/NV3500シリーズ
  • IX2000シリーズ Ver.8.7.22以降の全バージョン
  • IX3000シリーズ Ver.8.7.22以降の全バージョン

本脆弱性の影響を受ける日本電気製品の詳細については、ベンダ情報 NV15-015 をご確認ください。
想定される影響

第三者により、再ネゴシエーション中に ClientHello メッセージの無効な署名アルゴリズムの拡張機能を使用されることで、サービス運用妨害 (NULL ポインタデリファレンスおよびデーモンクラッシュ) 状態にされる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

OpenSSL Project アライドテレシス インターネットイニシアティブ オラクル シスコシステムズ ブルーコートシステムズ
  • Security Advisories : SA92
レッドハット 日本電気
  • NEC製品セキュリティ情報 : NV15-015
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-0291
参考情報

  1. JVN : JVNVU#95877131
  2. National Vulnerability Database (NVD) : CVE-2015-0291
更新履歴

[2015年03月23日]
  掲載
[2015年04月14日]
  ベンダ情報:インターネットイニシアティブ (OpenSSLに複数の脆弱性 (19 Mar 2015)) を追加
[2015年06月16日]
  ベンダ情報:アライドテレシス (アライドテレシス株式会社からの情報) を追加
[2015年07月01日]
  ベンダ情報:シスコシステムズ (cisco-sa-20150320-openssl) を追加
[2015年07月29日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:オラクル (Oracle Critical Patch Update Advisory - July 2015) を追加
  ベンダ情報:オラクル (Text Form of Oracle Critical Patch Update - July 2015 Risk Matrices) を追加
  ベンダ情報:オラクル (July 2015 Critical Patch Update Released) を追加
[2015年10月28日]
  ベンダ情報:日本電気 (NV15-015) を追加
[2015年11月06日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:オラクル (Oracle Critical Patch Update Advisory - October 2015) を追加
  ベンダ情報:オラクル (Text Form of Oracle Critical Patch Update - October 2015 Risk Matrices) を追加
  ベンダ情報:オラクル (October 2015 Critical Patch Update Released) を追加
[2015年11月12日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新
[2015年11月25日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新
[2015年12月07日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新
[2015年12月22日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新
[2016年01月15日]
  ベンダ情報:ブルーコートシステムズ (SA92) を追加
[2016年01月27日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新
[2016年01月29日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:オラクル (Oracle Critical Patch Update Advisory - January 2016) を追加
  ベンダ情報:オラクル (Text Form of Oracle Critical Patch Update - January 2016 Risk Matrices) を追加
  ベンダ情報:オラクル (January 2016 Critical Patch Update Released) を追加
[2016年02月01日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新
[2016年03月04日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新
[2016年06月23日]
  影響を受けるシステム:ベンダ情報の更新に伴い内容を更新